package mvd.jester.tests;

import java.util.HashMap;
import java.util.Map;
import mvd.jester.TypeInterface;
import mvd.jester.info.TerminationInfo;
import mvd.jester.model.SystemSetup;
import mvd.jester.model.Task;

/**
 * AbstractTest
 */
public abstract class AbstractTest implements TestInterface, TypeInterface {

    protected final Map<Task, TerminationInfo> responseTimes;
    protected final SystemSetup systemSetup;

    public AbstractTest(SystemSetup systemSetup) {
        this.systemSetup = systemSetup;
        this.responseTimes = new HashMap<>();
    }

}
