package mvd.jester.utils;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;
import java.io.File;
import java.io.IOException;
import java.nio.file.Path;
import java.nio.file.Paths;
import com.google.common.io.Files;
import org.junit.Rule;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.io.TempDir;
import org.junit.rules.TemporaryFolder;


/**
 * TestLogger
 */
public class TestLogger {

    @TempDir
    File tempDir;

    @Test
    @DisplayName("CHeck Logger")
    void testLogger() throws IOException {
        String fileName = tempDir.getAbsolutePath() + "/test.txt";
        Logger logger = new Logger(fileName);
        Logger failedLogger = new Logger(fileName);

        Appendable out = new StringBuilder();

        out.append("abc");
        out.append("efg");

        logger.log(out);

        logger.finalize();
        failedLogger.finalize();



    }
}
